using UnityEngine;

namespace InterfaceOff
{
    public class WindowInteractions : MonoBehaviour
    {
        private WindowBase AttachedWindow { get; set; }

        public void SetAttachedTo(WindowBase window) => AttachedWindow = window;
        public void WindowClicked() => AttachedWindow.OnWindowCloseButtonClicked();
    }
}